LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 09-16-2018, 04:44 PM   #1
LawsonRL
LQ Newbie
 
Registered: Jun 2018
Posts: 22

Rep: Reputation: Disabled
Kompozer on SuSE LEAP 15 will not run


I downloaded Kompozer from https://software.opensuse.org/packages/kompozer and selected the one click install. The machine gave me comforting feedback on my screen, then said it was completed.

Piece of cake, right? Nope.

When I click on Kompozer in the Internet tab, I get a small box (maybe 2 X 3 inches) in the top left corner of my screen. When I move my mouse over to close the popup and I touch the edge of the window (anywhere), it closes.

Yes, I know that work on Kompozer was ceased in 2010, but there is a small group of people who realize how wonderful Kompozer is and they are making it available. They even have a nice click place to load/install the last version on SUSE LEAP 15.0

Now, if someone just knows how to make it work. Thanks for any clues.
 
Old 09-16-2018, 08:14 PM   #2
frankbell
LQ Guru
 
Registered: Jan 2006
Location: Virginia, USA
Distribution: Slackware, Ubuntu MATE, Mageia, and whatever VMs I happen to be playing with
Posts: 16,662
Blog Entries: 27

Rep: Reputation: 5056Reputation: 5056Reputation: 5056Reputation: 5056Reputation: 5056Reputation: 5056Reputation: 5056Reputation: 5056Reputation: 5056Reputation: 5056Reputation: 5056
My initial guess is that it's missing a dependency or will not work with the contemporary version of that dependency.

Try starting it from the command line. Perhaps it will throw some use error messages to the terminal.
 
1 members found this post helpful.
Old 09-17-2018, 11:27 AM   #3
LawsonRL
LQ Newbie
 
Registered: Jun 2018
Posts: 22

Original Poster
Rep: Reputation: Disabled
Kompozer will not run - new command line info

Quote:
Originally Posted by frankbell View Post
My initial guess is that it's missing a dependency or will not work with the contemporary version of that dependency.

Try starting it from the command line. Perhaps it will throw some use error messages to the terminal.
Your advice was right on. I tried to start kompozer from the command line and got this error message:

linux-081r:/home/bob # kompozer
/usr/lib64/kompozer/run-mozilla.sh: line 131: 18910 Segmentation fault (core dumped) "$prog" ${1+"$@"}

I found out two things: one was that I got an error message about a line 166 problem kompozer-bin that only had 132 lines.
The other was where the installer had put the files. When I downloaded, the files were in the /home/bob directory, but the one click install had put them in the right place, usr/lib64/kompozer.

Now you can see the error message. At least we are getting error messages.

Thanks,
Bob
 
Old 09-17-2018, 12:00 PM   #4
LawsonRL
LQ Newbie
 
Registered: Jun 2018
Posts: 22

Original Poster
Rep: Reputation: Disabled
Some additional error messages follow:

An error occurred while loading or saving configuration information for gecko. Some of your configuration settings may not work properly

/usr/lib64/kompozer/run-mozilla.sh: line 131: 19227 Segmentation fault (core dumped) "$prog" ${1+"$@"}
 
Old 09-17-2018, 08:52 PM   #5
frankbell
LQ Guru
 
Registered: Jan 2006
Location: Virginia, USA
Distribution: Slackware, Ubuntu MATE, Mageia, and whatever VMs I happen to be playing with
Posts: 16,662
Blog Entries: 27

Rep: Reputation: 5056Reputation: 5056Reputation: 5056Reputation: 5056Reputation: 5056Reputation: 5056Reputation: 5056Reputation: 5056Reputation: 5056Reputation: 5056Reputation: 5056
Drat. The cause of segmentation faults is very difficult to track down and I haven't used SUSE in years.

I'm sorry to have to say that this is beyond my experience. The only idea I have is to try removing and reinstalling Kompozer in the probably vain hope that something went awry with the install.

Let's hope that someone with more ideas than I comes across this thread.

I have used Kompozer, found it quite useful, and hope you find an answer.

Last edited by frankbell; 09-17-2018 at 08:56 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] SuSE LEAP 15 firewalld LawsonRL Linux - Newbie 19 08-20-2018 02:53 AM
Two broken versions of Kompozer for Suse 15 Crb999 SUSE / openSUSE 4 08-11-2018 03:08 AM
Screen locker broken when upgrading Leap 42.3 to Leap 15.0 Crb999 SUSE / openSUSE 6 06-18-2018 01:13 AM
My suse leap 42.2 stuck and cannot boot ztdep SUSE / openSUSE 1 08-16-2017 12:27 AM
Suse 10.1 Leap koncept Linux - Wireless Networking 0 10-29-2006 08:22 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 04:29 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration